# ionoscloud\_certificate

The **Certificate data source** can be used to search for and return an existing certificate. You can provide a string for either id or name parameters which will be compared with provisioned certificates. If a single match is found, it will be returned. If your search results in multiple matches, an error will be returned. When this happens, please refine your search string so that it is specific enough to return only one result.

## Example Usage

### By ID

```hcl
data "ionoscloud_certificate" "example" {
  id			= "certificate_id"
}
```

### By Name

```hcl
data "ionoscloud_certificate" "example" {
  name			= "Certificate Name Example"
}
```

## Argument Reference

The following arguments are supported:

* `name` - (Optional) Name of an existing certificate that you want to search for.
* `id` - (Optional) ID of the certificate you want to search for.

Either `name` or `id` must be provided, or both. If none are provided, the datasource will return an error.

## Attributes Reference

The following attributes are returned by the datasource:

* `id` - The id of the certificate.
* `name` - The name of the certificate.
* `certificate` - Certificate body.
* `certificate_chain` - Certificate chain.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/terraform-provider/data-sources/certificate_manager_certificate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
